org.omg.DynamicAny

## Class NameValuePair

- java.lang.Object
- - org.omg.DynamicAny.NameValuePair

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NameValuePair
    extends Object
    implements IDLEntity

org/omg/DynamicAny/NameValuePair.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-Ya7k6D/openjdk-8-8u502-ga~us1/src/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Friday, July 24, 2026 5:14:04 PM UTC

### Field Summary

Fields
`String` `id` The name associated with the Any.
`Any` `value` The Any value associated with the name.

### Constructor Summary

Constructors
Constructor and Description
`NameValuePair()`
`NameValuePair(String _id, Any _value)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public String id

The name associated with the Any.

#### value

    public Any value

The Any value associated with the name.

### Constructor Detail

#### NameValuePair

    public NameValuePair()

#### NameValuePair

    public NameValuePair(String _id,
                         Any _value)